program project1;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes, SysUtils, CustApp
  { you can add units after this }
  ,math
  ;

type

  { TMyApplication }

  TMyApplication = class(TCustomApplication)
  protected
    procedure DoRun; override;
  public
  end;

TMyArrType= Array [2..9] of single; // single or double

procedure FillArray(var AArray:TMyArrType);
var
  i: Integer;
begin
  for i:=Low(AArray)to High(AArray) do AArray[i]:=i*i/(cos(i)+2);
    writeln('Array filled');
end;

procedure RoundValuesofArray(var AArray:TMyArrType);
var
  i: Integer;
begin
  for i:=Low(AArray)to High(AArray) do AArray[i]:=round(AArray[i]*100)/100;
  writeln('Round1 done');
end;

procedure RoundValuesofArray2(var AArray:TMyArrType);
var
  i: Integer;
begin
  for i:=Low(AArray)to High(AArray) do AArray[i]:=RoundTo(AArray[i], -2);
  writeln('Round2 done');
end;

procedure ArrayOutput2(var AArray:TMyArrType);
var
  i: Integer;
begin
  for i:=Low(AArray)to High(AArray)
  do  writeln(FormatFloat('##.##', AArray[i]));
  writeln('Output2 done');
end;


procedure ArrayOutput(var AArray:TMyArrType);
var
  i: Integer;
begin
  for i:=Low(AArray)to High(AArray)
  do  writeln(FloatToStr(AArray[i]));
  writeln('Output1 done');

end;


{ TMyApplication }

procedure TMyApplication.DoRun;
var
  ErrorMsg: String;
  AArray: TMyArrType;
  i: Integer;
begin
  { add your program here }
  Randomize;
  FillArray(AArray);
  ArrayOutput(AArray);
  ArrayOutput2(AArray);
  RoundValuesofArray(AArray);
  ArrayOutput(AArray);
  RoundValuesofArray2(AArray);
  ArrayOutput(AArray);
  // stop program loop
  Terminate;
end;

var
  Application: TMyApplication;
begin
  Application:=TMyApplication.Create(nil);
  Application.Run;
  Application.Free;
end.

